using Indotalent.Infrastructure.Authentication.Identity;
using Microsoft.Extensions.Options;

namespace Indotalent.Infrastructure.Authentication.Firebase;

public class FirebaseService(IOptions<IdentitySettingsModel> options)
{
    private readonly IdentitySettingsModel _settings = options.Value;

    public IdentitySettingsModel GetConfiguration() => _settings;

    public FirebaseSettingsModel GetDefaultAdmin() => _settings.SsoFirebase;
}
